モジュールロード時のエラーを取得できるようにする
ステータス: 担当 開始日: 2017/09/08

優先度: 通常 期日:  

担当者: katami 進捗率: 100%

カテゴリ:  予定工数: 0.00時間

対象バージョン: RELEASE_1_2_0   

説明

関連するチケット:
関連している OpenRTM-aist (Python) - 機能 #4030: モジュールロード時のエラーを取得... 終了 2017/04/28

関連している コア - 機能 #4028: モジュールロード時のエラーを取得できるようにする。 解決 2017/09/08

関係しているリビジョン
リビジョン 1040 - 2017/09/13 13:42 - t-katami

[incompat,return] Now Manager::load() function returns error code. refs #4186

リビジョン 1041 - 2017/09/13 16:51 - t-katami

[incompat,return] Changed it with refs #4186

リビジョン 1042 - 2017/09/13 16:52 - t-katami

[incompat,return] Changed it with refs #4186

履歴
#1 - 2017/09/08 14:23 - katami

- 関連している 機能 #4030: モジュールロード時のエラーを取得できるようにする を追加

#2 - 2017/09/08 14:23 - katami

- 親チケット を削除 (#4028)

#3 - 2017/09/08 14:24 - katami

- 関連している 機能 #4028: モジュールロード時のエラーを取得できるようにする。 を追加

#4 - 2017/09/08 15:54 - katami

作業メモ

動作確認

マネージャー起動
rtcd_java.confでloadpath(manager.modules.load_path)は設定しておく。

$�rtcd_java�-d

 別ターミナルでコンポーネントをロードする

$�rtmgr�localhost/ubuntu.host_cxt/manager.mgr�-l�/home/t-katami/work/OpenRTM-aist-Java/jp.go.aist.rtm.RTC/bin/RTMExamples/SimpleIO/Con
soleOut.class:registerModule

 $�rtcat�localhost/ubuntu.host_cxt/manager.mgr�
Name:�manager
Instance�name:�manager
Process�ID:�1213
Naming�format:�%h.host_cxt/%n.mgr
Refstring�path:�/var/log/rtcmanager.ref
Modules:
��Load�path:�/home/t-katami/work/OpenRTM-aist-Java/jp.go.aist.rtm.RTC/bin/RTMExamples/SimpleIO/
��Absolute�path�allowed:�YES
OS:
Loaded�modules:
��Filepath:�RTMExamples.SimpleIO.ConsoleOut
Loadable�modules:
��/home/t-katami/work/OpenRTM-aist-Java/jp.go.aist.rtm.RTC/bin/RTMExamples/SimpleIO//ConsoleOut.class
��/home/t-katami/work/OpenRTM-aist-Java/jp.go.aist.rtm.RTC/bin/RTMExamples/SimpleIO//ConsoleIn.class

#5 - 2017/09/14 17:50 - katami

- ステータス を 新規 から 担当 に変更

- 担当者 を katami にセット

- 進捗率 を 0 から 100 に変更

#6 - 2017/09/14 17:51 - katami

- 対象バージョン を RELEASE_1_2_0 にセット
